//Library written by Jephtah....Phone number: 08132450841
#ifndef ROBOTICCAR_H
#define ROBOTICCAR_H
#include "arduino.h"



class RoboticCar {
  public:
    //constructor
    RoboticCar(byte In1, byte In2, byte In3, byte In4, byte enA, byte enB);

    //function to initialize the data members with the constructor parameters
    void setDataMember(byte In1, byte In2, byte In3, byte In4, byte enA, byte enB);

    //function to set pin Modes
    void setPinModes();

    //function to go forward
    void forward(int roboticSpeed = 255);

    //function to go backward
    void reverse(int roboticSpeed = 255);

    //function to turn right
    void right(int roboticSpeed = 255);

    //function to turn left
    void left(int roboticSpeed = 255);

    //function to stop the motors from moving
    void handBrake();

  private:
    //Data member declaration
    byte input1;
    byte input2;
    byte input3;
    byte input4;
    byte enableA;
    byte enableB;
};


#endif ROBOTICCAR_H
